// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/PlayerState.h"
#include "CM_PlayerState.generated.h"

/**
 * 
 */
UCLASS()
class CORRUPTEDMEMORY_API ACM_PlayerState : public APlayerState
{
	GENERATED_BODY()

public:
	UFUNCTION(Client, Reliable)
	void ClientPlayerJoin();

	UPROPERTY(BlueprintReadOnly)
	bool bServerRequestUserInformation = false;
};
